Draft FlipDimension/es: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/es|Name=Draft FlipDimension|Workbenches=Draft, Arch|MenuLocation=Draft → Utilities → Flip Dimension|SeeAlso=[[Draft Dim...")
No edit summary
 
(16 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/es|Name=Draft FlipDimension|Workbenches=[[Draft Module/es|Draft]], [[Arch Module/es|Arch]]|MenuLocation=Draft → Utilities → Flip Dimension|SeeAlso=[[Draft Dimension/es|Dimension]]}}


{{Docnav
==Description==
|[[Draft_Slope|Slope]]
When in 2D mode, the text of the [[Draft Dimension|Draft dimensions]] is displayed aligned to the dimension line. The Dimension tool always tries to show you the dimension text on the correct side of the dimension line, depending on where you are viewing it from. In some cases, though, the viewing direction might not reflect the intent of the viewer, and the orientation of the dimension text might be inverted. This tool inverts that orientation on selected [[Draft Dimension|dimension]] objects.
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Slope.svg
|IconR=Draft_Shape2DView.svg
|IconC=Workbench_Draft.svg
}}


<div class="mw-translate-fuzzy">
==How to use==
{{GuiCommand/es
# Select one or more [[Draft Dimension|dimension]] objects
|Name=Draft FlipDimension
# Press the {{KEY|[[Image:Draft_FlipDimension.png|16px]] [[Draft FlipDimension|Flip Dimension]]}} button
|Name/es=Draft FlipDimension
|MenuLocation=Draft → Utilities → Flip Dimension
|Workbenches=[[Draft_Workbench/es|Draft]], [[Arch_Workbench/es|Arch]]
|SeeAlso=[[Draft Dimension/es|Dimension]]
}}
</div>


==Description==
{{clear}}

<languages/>
<div class="mw-translate-fuzzy">
== Descripción ==
Cuando está en modo 2D, el texto de [[Draft Dimension|Dimensiones de borrador]] se muestra alineado con la línea de dimensión. La herramienta Dimensión siempre intenta mostrarle el texto de la dimensión en el lado correcto de la línea de dimensión, dependiendo de dónde lo esté viendo. En algunos casos, sin embargo, la dirección de visualización puede no reflejar la intención del espectador, y la orientación del texto de cota puede invertirse. Esta herramienta invierte esa orientación en los objetos [[Draft Dimension | dimensión]] seleccionados.
</div>

==Usage==

<div class="mw-translate-fuzzy">
== Utilización ==
# Seleccione uno o más objetos [[Draft Dimension|dimension]]
# Presione el botón {{KEY|[[Image:Draft_FlipDimension.png|16px]] [[Draft FlipDimension|Flip Dimension]]}}
</div>

==Notes==

* [[Draft_Dimension|Draft Dimensions]] also have a {{PropertyData|Flip Text}} property. When set to {{TRUE}} the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

==Scripting==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].

To flip a [[Draft_Dimension|Draft Dimension]] invert its {{incode|Normal}} property.

Example:

{{Code|code=
import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()
}}


{{Docnav
|[[Draft_Slope|Slope]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Slope.svg
|IconR=Draft_Shape2DView.svg
|IconC=Workbench_Draft.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 11:04, 4 September 2021

Draft FlipDimension

Ubicación en el Menú
Draft → Utilities → Flip Dimension
Entornos de trabajo
Draft, Arch
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Dimension

Description

Descripción

Cuando está en modo 2D, el texto de Dimensiones de borrador se muestra alineado con la línea de dimensión. La herramienta Dimensión siempre intenta mostrarle el texto de la dimensión en el lado correcto de la línea de dimensión, dependiendo de dónde lo esté viendo. En algunos casos, sin embargo, la dirección de visualización puede no reflejar la intención del espectador, y la orientación del texto de cota puede invertirse. Esta herramienta invierte esa orientación en los objetos dimensión seleccionados.

Usage

Utilización

  1. Seleccione uno o más objetos dimension
  2. Presione el botón Flip Dimension

Notes

  • Draft Dimensions also have a DatosFlip Text property. When set to true the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To flip a Draft Dimension invert its Normal property.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()